CREATE TABLE bm_unified_object_sync (
    ID                       NUMBER(18, 0) ,
    JOB_TYPE                 VARCHAR2(80)  ,
    FAILED_RECORD_COUNT      NUMBER(10, 0) ,
    INSERTED_RECORD_COUNT    NUMBER(10, 0) ,
    UPDATED_RECORD_COUNT     NUMBER(10, 0) ,
    SKIPPED_RECORD_COUNT     NUMBER(10, 0) ,
    TOTAL_RECORD_COUNT       NUMBER        ,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    STATUS                   NUMBER(1, 0)      NOT NULL,
    JOB_ID                   NUMBER(18, 0)     NOT NULL,
    OBJECT_NAME              VARCHAR2(1020),
    OBJECT_DETAILS           VARCHAR2(4000),
    MAX_LAST_UPDATED_DATE    TIMESTAMP(6)  ,
    NUMBER_OF_FAILURES       NUMBER(18, 0)     NOT NULL,
    TASK_ID                  NUMBER(18, 0) ,
    ID                       NUMBER(18, 0) ,
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE              NOT NULL,
    STATUS                   NUMBER(1, 0)      NOT NULL,
    JOB_ID                   NUMBER(18, 0)     NOT NULL,
    OBJECT_NAME              VARCHAR2(1020),
    OBJECT_DETAILS           VARCHAR2(4000),
    MAX_LAST_UPDATED_DATE    TIMESTAMP(6)  ,
    NUMBER_OF_FAILURES       NUMBER(18, 0)     NOT NULL,
    TASK_ID                  NUMBER(18, 0) ,
    JOB_TYPE                 VARCHAR2(80)  ,
    FAILED_RECORD_COUNT      NUMBER(10, 0) ,
    INSERTED_RECORD_COUNT    NUMBER(10, 0) ,
    UPDATED_RECORD_COUNT     NUMBER(10, 0) ,
    SKIPPED_RECORD_COUNT     NUMBER(10, 0) ,
    TOTAL_RECORD_COUNT       NUMBER        ,
    CONSTRAINT pk_bm_unified_object_sync PRIMARY KEY (ID, ID)
);
